package com.fjhx.tenant.controller.tenant;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.file.entity.FileInfoVo;
import com.fjhx.tenant.entity.tenant.dto.BindingMenuDto;
import com.fjhx.tenant.entity.tenant.dto.TenantInfoDto;
import com.fjhx.tenant.entity.tenant.dto.TenantInfoSelectDto;
import com.fjhx.tenant.entity.tenant.po.TenantInfo;
import com.fjhx.tenant.entity.tenant.vo.TenantInfoVo;
import com.fjhx.tenant.service.tenant.TenantInfoService;
import com.ruoyi.common.annotation.TenantIgnore;
import com.ruoyi.common.constant.BaseSourceConstant;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.ruoyi.common.core.domain.entity.SysMenu;
import com.ruoyi.common.core.domain.entity.SysRole;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.ruoyi.common.utils.wrapper.SqlField;
import com.ruoyi.system.service.ISysMenuService;
import com.ruoyi.system.service.ISysRoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * <p>
 * 租户表 前端控制器
 * </p>
 *
 * @author zlj
 * @since 2023-03-15
 */
@TenantIgnore
@DS(BaseSourceConstant.BASE)
@RestController
@RequestMapping("/open/tenantInfo")
public class TenantInfoOpenController {

    @Autowired
    private TenantInfoService tenantInfoService;

    /**
     * 租户表列表
     */
    @GetMapping("/list")
    public List<TenantInfo> list() {
        return tenantInfoService.list(q->q.orderByAsc(TenantInfo::getId));
    }

}
